#pragma once
#include <map>
#include "../DataFolder.h"
#include "../Inputs/Inputs.h"
#include "TemperatureOutputWriter.h"

class BlockGroupHandler
{
  public:
	 std::map<int, DataFolder*> BlockGroupIDToItsFolder;
	 BlockGroupHandler(Inputs *);
	 void AddDEMLocationFolderValuesToBlockGroupFolder(DataFolder *DEMLocationFolder, int blockGroupId);
	 void Resefolder(int blockGroupID);
	 void ResefolderDailyValues(int blockGroupID);
	 void DailyCal(int blockGroupID, double windSpeed);
	 void AddToBlockGroup(int DEMLocationIndex, Inputs *input, DataFolder *DEMLocationFolder);
	 bool PrintBlockGroupCheck(int DEMLocationIndex, Inputs *input);
	 void TimeStepProcessing(Inputs *input, int timeStep);
	~BlockGroupHandler();
};

