#pragma once 
#include "../TestSimulation.h"
#include "../CoolRiver/StreamTemperature.h"

class CoolRiverOutputWriter
{
public:

	CoolRiverOutputWriter()
	{

	}

	~CoolRiverOutputWriter()
	{

	}
	
	static void calculationMethod1(Inputs* input, std::string inputDirectory, StreamTemperature* st, int& calcMethod, int& TotalDistMod_CN, int& TotalTimeMod_CN);
	static void calculationMethod2(Inputs* input, std::string inputDirectory, StreamTemperature* st, int& calcMethod, int& TotalDistMod_FD, int& TotalTimeUns, int& TotalDist_Uns, int& TotalTimeMod);
	static void calculationMethod3(Inputs *input, std::string inputDirectory, StreamTemperature* st, int& calcMethod, int& TotalDistMod_FD, int& TotalTime_HR, int& TotalDist_Uns);

	static void twoDwriter(int sizeX, int sizeY, string a, string b, vector<vector<double>>& vector, string title, string OutputDir);
	
	static void swtichCalMethod1True(Inputs* input, StreamTemperature* st, int& TotalDistMod, int& TotalTimeMod);
	static void swtichCalMethod1False(Inputs* input, StreamTemperature* st, int& TotalDist_Uns, int& TotalTimeMod_CN);
	
	static void swtichCalMethod3ExtTrue(Inputs *input,StreamTemperature *st, int &TotalDist_Uns_HR, int &TotalTimeModHR);
	static void swtichCalMethod3True(Inputs *input, StreamTemperature* st, int &TotalDist_Uns_HR, int& TotalTimeModHR);
	static void swtichCalMethod3FalseExtTrue(Inputs *input, StreamTemperature *st, int &TotalDist_Uns_HR, int& TotalTime_HR);
	static void swtichCalMethod3False(Inputs *input, StreamTemperature *st, int &TotalDist_Uns_HR, int &TotalTime_HR);

	static void swtichCalMethod2ExtTrue(Inputs *input, StreamTemperature *st, int &TotalDist_Uns,int &TotalTimeMod);
	static void swtichCalMethod2True(Inputs *input, StreamTemperature *st, int &TotalDist_Uns, int &TotalTimeMod);
	static void swtichCalMethod2FalseExtTrue(Inputs *input,StreamTemperature *st, int& TotalDist_Uns,int &TotalTimeMod);
	static void swtichCalMethod2False(Inputs *input, StreamTemperature *st, int &TotalDist_Uns, int &TotalTimeMod);

};
