#pragma once 
#include "../TestSimulation.h"
#include "StatisticalOutputWriter.h"
#include "SpatialOutputWriter.h"
#include "GIOutputWriter.h"
#include "../GI/GI_WaterQuality.h"

///////////////////////////////////////////////////////////////
//  WriteOutputs.h   -  Calling various output writers       //
//  ver 1.0                                                  //
//                                                           //
//  Language:     Visual C++, VS 2019                        //
//  Application:  HydroPlus                                  //
//  Author:       Theodore Endreny, SUNY ESF                 //
//                (315)200-4006, te@esf.edu                  //
///////////////////////////////////////////////////////////////


class WriteOutputs
{
public:
	static void writeStatisticalOutput(DataOrganizer* organizer, Inputs* input);
	static void writeExtendedOutput(DataOrganizer* organizer, Inputs* input);
	static void writeNoExtendedOutput(DataOrganizer* organizer, Inputs* input);
};
