#ifndef UNSATOF_H
#define UNSATOF_H
//////////////////////////////////////////////////////////////////////////////////
//																		        //
// UnsatZonePerviousFlow.h - Calculates unsaturated zone Pervious flow          //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Module Operations: 
  ==================
  Calculates Pervious flow for fully saturated area.
 */

#include "../Inputs/Inputs.h"
#include "../DataFolder.h"


class UnsatZoneSaturationExcessQ
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
		static void statisticalCalculate(Inputs *input, DataFolder *folder, int timeStep);
		static void spatialCalculate(Inputs *input, DataFolder *folder, int timeStep);
};



#endif