#ifndef BuildDataOrganizer_H
#define BuildDataOrganizer_H

#include "DataOrganizer.h"
#include "CoolAir\LandCoverPCal.h"
#include "Inputs\Inputs.h"

class BuildDataOrganizer
{
	public:
		static void Go(DataOrganizer *organizer, Inputs *input);
		static void BuildStatisticalDataOrganizer(DataOrganizer *organizer, Inputs *input);
		static void BuildSpatialDataOrganizer(DataOrganizer *organizer, Inputs *input);
		static void BuildLCScalingDataOrganizer(DataOrganizer *organizer, Inputs *input);
		static void AddFolderAreaSpatialCoverData(DataFolder *folder, Inputs *input, int locationIndex);
		static void AddFolderAreaStatisticalCoverData(DataFolder *folder, Inputs* input);
		static void AddFolderAreaAlternativeCoverData(DataFolder *folder, Inputs *input, int locationIndex);
		static void SetGIMissingParams(DataOrganizer *organizer, Inputs *input);
};

#endif