#pragma once
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"
#include <fstream>
#include <iomanip>
#include <iostream>

class GI_WaterQuality
{
public:


	static void Read_GI_Flux(Inputs* input, DataFolder* folder);
	static void Removal(Inputs* input, DataFolder* folder);
	static void Removal_TS(Inputs* input, DataFolder* folder);
	static void GI_WQ_Outputwriter(Inputs* input, DataFolder* folder, std::map<std::string, double>& variables);
	static void GI_WQ_Outputwriter_TS(Inputs* input, DataFolder* folder);
private:
	//static std::map<std::string, double> variables;
	
	
	/*double inflow_Tss_kg, inflow_BOD_kg, inflow_COD_kg, inflow_TP_kg, inflow_SolP_kg, inflow_TKN_kg, inflow_NO23_kg, inflow_Cu_kg, inflow_Pb_kg, inflow_Zn_kg;
	double surfaceOutflow_Tss_kg, surfaceOutflow_BOD_kg, surfaceOutflow_COD_kg, surfaceOutflow_TP_kg, surfaceOutflow_SolP_kg, surfaceOutflow_TKN_kg, surfaceOutflow_NO23_kg, surfaceOutflow_Cu_kg, surfaceOutflow_Pb_kg, surfaceOutflow_Zn_kg;
	double storageDrain_Tss_kg, storageDrain_BOD_kg, storageDrain_COD_kg, storageDrain_TP_kg, storageDrain_SolP_kg, storageDrain_TKN_kg, storageDrain_NO23_kg, storageDrain_Cu_kg, storageDrain_Pb_kg, storageDrain_Zn_kg;
	double exfilration_Tss_kg, exfilration_BOD_kg, exfilration_COD_kg, exfilration_TP_kg, exfilration_SolP_kg, exfilration_TKN_kg, exfilration_NO23_kg, exfilration_Cu_kg, exfilration_Pb_kg, exfilration_Zn_kg;


	double surfaceOutflow_Tss_removal_kg, surfaceOutflow_BOD_removal_kg, surfaceOutflow_COD_removal_kg, surfaceOutflow_TP_removal_kg, surfaceOutflow_SolP_removal_kg, surfaceOutflow_TKN_removal_kg, surfaceOutflow_NO23_removal_kg, surfaceOutflow_Cu_removal_kg, surfaceOutflow_Pb_removal_kg, surfaceOutflow_Zn_removal_kg;
	double storageDrain_Tss_removal_kg, storageDrain_BOD_removal_kg, storageDrain_COD_removal_kg, storageDrain_TP_removal_kg, storageDrain_SolP_removal_kg, storageDrain_TKN_removal_kg, storageDrain_NO23_removal_kg, storageDrain_Cu_removal_kg, storageDrain_Pb_removal_kg, storageDrain_Zn_removal_kg;
	double exfilration_Tss_removal_kg, exfilration_BOD_removal_kg, exfilration_COD_removal_kg, exfilration_TP_removal_kg, exfilration_SolP_removal_kg, exfilration_TKN_removal_kg, exfilration_NO23_removal_kg, exfilration_Cu_removal_kg, exfilration_Pb_removal_kg, exfilration_Zn_removal_kg;
	

	double total_inflow_m = 0.0;
	double Volume_inflow_m3 = 0.0;
	double total_surfaceOutflow_m = 0.0;
	double Volume_surfaceOutflow_m3 = 0.0;
	double total_storageDrainFlow_m = 0.0;
	double Volume_storageDrainFlow_m3 = 0.0;
	double total_exfilrationToNativeSoil_m = 0.0;
	double Volume_exfilrationToNativeSoil_m3 = 0.0;*/



};
