#ifndef RZONEFLOW_H
#define RZONEFLOW_H

//////////////////////////////////////////////////////////////////////////////////
//																		        //
// RootZoneFlow.h - Calculates root zone flow                                   //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Module Operations: 
  ==================
  Updates root zone storage deficit and calculates root zone flow

 */
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"

class RootZoneDrainageCalc 
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
};

#endif