#ifndef RZONEEVAP_H
#define RZONEEVAP_H
//////////////////////////////////////////////////////////////////////////////////
//																		        //
// RootZoneET.h - Calculates root zone ET       //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Module Operations: 
  ==================
  Calculation for zoot zone ET. 

 */

#include "../Inputs/Inputs.h"
#include "../DataFolder.h"

class RootZoneETCalc
{
	public:	
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
};



#endif