#ifndef SEMIAVESMD_H
#define SEMIAVESMD_H
///////////////////////////////////////////////////////////////////////////////////////
//																		             //
// SemiAveSMD.h - Calculates saturated zone soil moisture deficit    //																		   
// ver 1.0                                                                           //
// Language:    Visual C++ 2010                                                      //
// Platform:    MacBookPro5,4  Win7										             //
// Application: HydroPrime/iHydro Version6, Summer 2012                              //
// Programmer:  				             //																	   	
///////////////////////////////////////////////////////////////////////////////////////
/*
  Module Operations: 
  ==================
  Updates the average soil moisture deficit for a given time step
 */

#include "../Inputs/Inputs.h"
#include "../DataFolder.h"
class SemiAveSMDCalc
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
};



#endif