#ifndef UNSATF_H
#define UNSATF_H
//////////////////////////////////////////////////////////////////////////////////
//																		        //
// UnsatZoneFlow.h - Calculates unsaturated zone flow                           //																		   
// ver 1.0                                                                      //
// Language:    Visual C++ 2010                                                 //
// Platform:    MacBookPro5,4  Win7										        //
// Application: HydroPrime/iHydro Version6, Summer 2012                         //
// Programmer:  				        //																	   	
//////////////////////////////////////////////////////////////////////////////////
/*
  Module Operations: 
  ==================
  Calculates unsaturated zone flow to saturated zone
 */
#include "../Inputs/Inputs.h"
#include "../DataFolder.h"


class UnsatZoneDrainageCalc
{
	public:
		static void calculate(Inputs *input, DataFolder *folder, int timeStep);
};



#endif